dbXML API

## com.dbxml.db.core.indexer.helpers
Class IndexQueryNEQ

    java.lang.Object
      com.dbxml.db.core.indexer.IndexQuery
          com.dbxml.db.core.indexer.helpers.IndexQueryNEQ

public final class IndexQueryNEQ
extends IndexQuery

IndexQueryNEQ

Field Summary

Fields inherited from class com.dbxml.db.core.indexer.IndexQuery
`ANY, BW, BWX, EQ, GT, GTE, IN, LT, LTE, NBW, NBWX, NEQ, NIN, NSW, SW`

Constructor Summary
`IndexQueryNEQ(IndexPattern pattern, Value val1)`

Method Summary
`int` `getOperator()` getOperator returns the operator associated with this query.
`boolean` `testValue(Value v)` testValue tests the specified value for validity against this IndexQuery.

Methods inherited from class com.dbxml.db.core.indexer.IndexQuery
`getLength, getPattern, getValue, getValues`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IndexQueryNEQ

    public IndexQueryNEQ(IndexPattern pattern,
                         Value val1)

Method Detail

### getOperator

    public int getOperator()

  Description copied from class: `IndexQuery`
  getOperator returns the operator associated with this query.

  Overrides:
    `getOperator` in class `IndexQuery`
  Returns:
    The operator

### testValue

    public boolean testValue(Value v)

  Description copied from class: `IndexQuery`
  testValue tests the specified value for validity against this IndexQuery. The helper classes in com.dbxml.db.core.indexer.helpers should be used for optimized performance.

  Overrides:
    `testValue` in class `IndexQuery`
  Returns:
    Whether or not the value matches

dbXML API

Copyright (c) 2004 The dbXML Group